Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations waross on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

Rendering image

Status
Not open for further replies.

GardKnowsNothing

Mechanical
Jul 2, 2012
2
I'm trying to render an image of an assy, but i can't get rid of all the planes for each part, nor the indicators for the contraints. I have "hidden" all the contraints, but there are still all these planes, icons and axes all over. How do i get rid of these to get an image of my assembly only?

Any possible solutions would be greatly appreciated
 
Replies continue below

Recommended for you

Hi,

Open Notepad, paste what is bellow and change extention from txt to CATScript then execute.

Sub CATMain()

Set ProductDocument1 = CATIA.ActiveDocument
Set Product1 = ProductDocument1.Product

Dim ProductDoc1_As_Document
Set ProductDoc1 = Catia.ActiveDocument

Dim Selection1_As_Selection
Set Selection1 = ProductDoc1.Selection

CATIA.DisplayFileAlerts = False

Selection1.Search "CATAsmSearch.MfConstraint,All" 'hide Constrains
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Selection1.Search "CatPrtSearch.Surface,All" 'hide Surfaces
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Selection1.Search "CatPrtSearch.AxisSystem,All" 'hide axissystem
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Selection1.Search "CatPrtSearch.AxisSystem.Name=Axis' 'System*,All"
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Selection1.Search "CatPrtSearch.Line,All" 'hide lines
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Selection1.Search "CatPrtSearch.Curve,All" 'hide curves
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Selection1.Search "CatPrtSearch.Sketch,All" 'hide sketches
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Selection1.Search "CatPrtSearch.Point,All" 'hide points
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Selection1.Search "CatPrtSearch.Plane,All" 'hide planes
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

selection1.Search "CATGmoSearch.OpenBodyFeature,all" 'hide geometrical set
Set visPropertySet1 = Selection1.visProperties
VisPropertySet1.SetShow 1
Selection1.Clear

Dim specsAndGeomWindow1 As Window
Set specsAndGeomWindow1 = CATIA.ActiveWindow

Dim viewer3D1 As Viewer
Set viewer3D1 = specsAndGeomWindow1.ActiveViewer

Dim viewpoint3D1 As Viewpoint3D
Set viewpoint3D1 = viewer3D1.Viewpoint3D

viewer3D1.Reframe

Set viewpoint3D1 = viewer3D1.Viewpoint3D


End Sub


Regards
Fernando

 
Thanks! Im running CATIA through a license on the company network, and for inexplicable reasons i'm only allowed to run CATIA with administrative rights. The script you gave me will not run because it won't let me run it 'as admin'.

Anyways, i manages to remove the planes, contraints and axes by searching, selecting and hiding - so i'm all good for the moment!

Thanks again, Fernando
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor